<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateJobsTable extends Migration {

	public function up()
	{
		Schema::create('jobs', function(Blueprint $table) {
			$table->increments('id');
			$table->string('title', 200);
			$table->integer('company_id')->unsigned();
			$table->integer('location_id')->unsigned();
			$table->integer('category_id')->unsigned();
			$table->integer('jop_type_id')->unsigned();
			$table->float('salary');
			$table->text('description');
			$table->text('requirement')->nullable();
			$table->enum('experience_level', array('Internship', 'Entrylevel', 'Junior', 'Mid-level', 'Senior', 'Leader', 'Engineeringmanager'));
			$table->enum('status', array('Open', 'Closed', 'Applied'));
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('jobs');
	}
}